--[[
LuCI - Lua Configuration Interface

Copyright 2008 Steven Barth <steven@midlink.org>
Copyright 2008 Jo-Philipp Wich <xm@leipzig.freifunk.net>

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

$Id$
]]--

m = Map("mjpg-streamer", translate("mjpg-streamer"))

s = m:section(TypedSection, "mjpg-streamer", translate("mjpgs_core", "mjpg-streamer"))
s.anonymous = true
s.addremove = false

enable = s:option(Flag, "enabled", translate("enable"))
enable.rmempty = false
enable.enabled = "true"
enable.disabled = "false"

dev = s:option(Value, "device", translate("mjpgs_device", "Device Path"))
dev.rmempty = false

resolution = s:option(Value, "resolution", translate("mjpgs_resolution", "Resolution"))
resolution.rmempty = false
resolution:value("640x480", "640x480(VGA)")
resolution:value("320x240", "320x240(QVGA)")

fps = s:option(Value, "fps", translate("mjpgs_fps", "FPS"))
fps.rmempty = true

port = s:option(Value, "port", translate("mjpgs_port", "Port"))
port.rmempty = true

return m
