--[[
LuCI - Lua Configuration Interface
Copyright 2011 Kentaro Matsuyama <matsuyama@thinktube.com>

]]--
module("luci.controller.dhcrelay", package.seeall)

function index()
	require("luci.i18n")
	luci.i18n.loadc("dhcrelay")
	if not nixio.fs.access("/usr/sbin/dhcrelay") then
		return
	end

	entry({"admin", "network", "dhcp", "dhcrelay"}, cbi("dhcrelay/dhcrelay"), luci.i18n.translate("dhcrelay", "DHCP-relay"), 10)
end

